Mosquitto not running under 159

Having issues with your DietPi installation, or, found a bug? Post it here.
Post Reply
jram
Posts: 9
Joined: Mon Mar 13, 2017 7:42 pm

Mosquitto not running under 159

Post by jram »

I created a fresh install and thanks to Dan's timely work (https://github.com/Fourdee/DietPi/issues/1306), was able to install Mosquitto. However, it does not run and this has been flagged up on the thread above. An attempt to start it manually, with mosquitto -v results in 'Illegal Instruction'. Attempting to start the service results in:

Dec 16 14:28:43 BPS systemd[1]: mosquitto.service: Failed with result 'signal'.
Dec 16 14:28:43 BPS systemd[1]: mosquitto.service: Service hold-off time over, scheduling restart.
Dec 16 14:28:43 BPS systemd[1]: Stopped Mosquitto MQTT Broker.
Dec 16 14:28:43 BPS systemd[1]: Started Mosquitto MQTT Broker.

netstat -a shows no port open (1883)

Any thoughts?

Thanks :)
astrogerard

Re: Mosquitto not running under 159

Post by astrogerard »

I had the same on an RPi 2 (arm6) so I switched to an RPi3 (arm7). However the DietPi scripts also try to install the wrong .deb file/version. So multiple discrepancies are faced.
On the RPi2 I only could get Mosquitto working when compiling it from the sources (which is easy to do).

After using the .deb I could successfully use mosquitto. Unfortunately DietPi has no clue that this is installed.

Hopefully both, the DietPi and Mosquitto folks soon wil find a solution.

--Gerard

**EDIT** After looking at the DietPi scripts, I think there is nothing wrong with it and both discrepancies are due to the somewhat badly maintained mosquitto repository.
Post Reply